.TH wipe 1
.SH Name
wipe \- write nuls over files and optionally remove them
.SH Syntax
.B wipe 
[
.B \-i
] [
.B \-d
] [
.B \-help
]
.I <file1> <file2> ...
.br
.SH Description
The
.BR wipe
command reads each file
in sequence and writes over the file with nul characters.
If the
.B \-i
option is given, it prompts the user before wiping the file.
If
.B \-d
is given, it removes each file after writing over it.
(The default behavior is just to write over it.)
If
.B \-v
is given,
.BR wipe
will print the version number.
.SH Origin
.BR Wipe
was written because people were using the
.B Kerberos
utility
.BR kdestroy
to write zeros over files, and I got sick of it.  While
.BR kdestroy
will work for that purpose, it is not very robust (e.g.,
it exits silently with status 0 if you try to kdestroy
a non-regular file) and does not take filenames
on the command line.  In addition, it doesn't do you
much good if you don't have
.B Kerberos.
.SH Notes
.BR Wipe
does not recursively descend directories or anything
like that.  If you try to invoke it on a directory,
it will print an error and do nothing.  To
.BR wipe
all of the files in a directory, use
.BR find
with the
.B \-exec
option to invoke
.BR wipe
on each file.
.PP
.B Kerberos
is a trademark of MIT.
.SH Bugs
Uses getopt().
.SH See also
find(1), rm(1), kdestroy(1)
.SH Author
Calvin Clark <ckclark@MIT.EDU>
